Customers
Query Parameters
int32Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/customers"{ "customers": [ { "archived": true, "billingProfile": { "address": { "addressLines": [ "string" ], "administrativeArea": "string", "languageCode": "string", "locality": "string", "organization": "string", "postalCode": "string", "recipients": [ "string" ], "regionCode": "string", "revision": 0, "sortingCode": "string", "sublocality": "string" }, "billingEmail": "string", "countryCode": "string", "displayName": "string", "legalName": "string" }, "createTime": "2019-08-24T14:15:22Z", "currencyCode": "string", "displayName": "string", "email": "string", "externalId": "string", "metadata": { "property1": "string", "property2": "string" }, "name": "string", "updateTime": "2019-08-24T14:15:22Z" } ], "nextPageToken": "string"}Query Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Customer represents a billable account within an organization.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/customers" \ -H "Content-Type: application/json" \ -d '{ "billingProfile": { "address": {}, "billingEmail": "string", "countryCode": "string", "legalName": "string" }, "currencyCode": "string", "displayName": "string", "externalId": "string" }'{ "archived": true, "billingProfile": { "address": { "addressLines": [ "string" ], "administrativeArea": "string", "languageCode": "string", "locality": "string", "organization": "string", "postalCode": "string", "recipients": [ "string" ], "regionCode": "string", "revision": 0, "sortingCode": "string", "sublocality": "string" }, "billingEmail": "string", "countryCode": "string", "displayName": "string", "legalName": "string" }, "createTime": "2019-08-24T14:15:22Z", "currencyCode": "string", "displayName": "string", "email": "string", "externalId": "string", "metadata": { "property1": "string", "property2": "string" }, "name": "string", "updateTime": "2019-08-24T14:15:22Z"}Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/customers/string"{ "archived": true, "billingProfile": { "address": { "addressLines": [ "string" ], "administrativeArea": "string", "languageCode": "string", "locality": "string", "organization": "string", "postalCode": "string", "recipients": [ "string" ], "regionCode": "string", "revision": 0, "sortingCode": "string", "sublocality": "string" }, "billingEmail": "string", "countryCode": "string", "displayName": "string", "legalName": "string" }, "createTime": "2019-08-24T14:15:22Z", "currencyCode": "string", "displayName": "string", "email": "string", "externalId": "string", "metadata": { "property1": "string", "property2": "string" }, "name": "string", "updateTime": "2019-08-24T14:15:22Z"}Path Parameters
Query Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Customer represents a billable account within an organization.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/customers/string?updateMask=string" \ -H "Content-Type: application/json" \ -d '{ "billingProfile": { "address": {}, "billingEmail": "string", "countryCode": "string", "legalName": "string" }, "currencyCode": "string", "displayName": "string", "externalId": "string" }'{ "archived": true, "billingProfile": { "address": { "addressLines": [ "string" ], "administrativeArea": "string", "languageCode": "string", "locality": "string", "organization": "string", "postalCode": "string", "recipients": [ "string" ], "regionCode": "string", "revision": 0, "sortingCode": "string", "sublocality": "string" }, "billingEmail": "string", "countryCode": "string", "displayName": "string", "legalName": "string" }, "createTime": "2019-08-24T14:15:22Z", "currencyCode": "string", "displayName": "string", "email": "string", "externalId": "string", "metadata": { "property1": "string", "property2": "string" }, "name": "string", "updateTime": "2019-08-24T14:15:22Z"}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/customers/string:archive" \ -H "Content-Type: application/json" \ -d '{}'{ "archived": true, "billingProfile": { "address": { "addressLines": [ "string" ], "administrativeArea": "string", "languageCode": "string", "locality": "string", "organization": "string", "postalCode": "string", "recipients": [ "string" ], "regionCode": "string", "revision": 0, "sortingCode": "string", "sublocality": "string" }, "billingEmail": "string", "countryCode": "string", "displayName": "string", "legalName": "string" }, "createTime": "2019-08-24T14:15:22Z", "currencyCode": "string", "displayName": "string", "email": "string", "externalId": "string", "metadata": { "property1": "string", "property2": "string" }, "name": "string", "updateTime": "2019-08-24T14:15:22Z"}